%define __libtoolize    /bin/true
%define __cputoolize    /bin/true

%define	name	kplayer
%define	version	0.5.3
%define release	%mkrel 5

%define section Multimedia/Video
%define title   KPlayer
%define longtitle Player frontend for KDE


Summary:        %{longtitle}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://kplayer.sourceforge.net/
Source:	        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2	
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#(nl)  TODO    Fix redundant buildRequires
BuildRequires:	libarts-devel 
BuildRequires:  libaudiofile-devel 
BuildRequires:  libalsa-devel 
BuildRequires:  libvorbis-devel
BuildRequires:	libmad-devel 
BuildRequires:  nas-devel 
BuildRequires:  zlib-devel
BuildRequires:	kdelibs-devel 
BuildRequires:  libart_lgpl-devel	
BuildRequires:  fam-devel
BuildRequires:	arts

Requires:	mplayer
Requires:       kdelibs-common


%description
KPlayer is a KDE media player based on MPlayer. With KPlayer 
you can easily play a wide variety of video and audio files 
and streams using a rich and friendly interface that
follows KDE standards.

Features include

    * video, audio and subtitle playback from file,
       URL, DVD, VCD, audio CD, TV, DVB, etc.,
       as well as KDE I/O Slaves;
    * volume, contrast, brightness, hue and saturation controls;
    * zooming, full screen and fixed aspect options;
    * status and progress display and seeking;
    * playlist;
    * message log;
    * configuration dialog;
    * file properties for setting file specific options.

KPlayer is available in Catalonian, Czech, Danish, English,
Finnish, French, German, Hungarian, Italian, Polish, Russian, 
Simplified Chinese and Spanish. 

%prep
%setup -q -n %{name}-%version

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x --disable-rpath

%make



%install
rm -rf $RPM_BUILD_ROOT


%makeinstall

# Removed because of conflicts with Kdelibs-common
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/rtsp.protocol
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/mms.protocol
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/mmst.protocol
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/mmsu.protocol
rm -f  $RPM_BUILD_ROOT/%{_datadir}/services/pnm.protocol

%find_lang %{name}

mkdir -p %{buildroot}%{_menudir}

kdedesktop2mdkmenu.pl %name "Multimedia/Video" %buildroot/%{_datadir}/applnk/Multimedia/kplayer.desktop %buildroot/%_menudir/%name


#Menu icons
install -D -m 644 kplayer/hi16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 kplayer/hi32-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png


%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache locolor
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache locolor
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_menudir}/kplayer
%{_iconsdir}/kplayer.png
%{_liconsdir}/kplayer.png
%{_miconsdir}/kplayer.png
%{_bindir}/kplayer
%{_libdir}/kde3/kfile_kplayer.la
%{_libdir}/kde3/kfile_kplayer.so
%{_libdir}/kde3/libkplayerpart.la
%{_libdir}/kde3/libkplayerpart.so
%{_datadir}/applnk/Multimedia/kplayer.desktop

%dir %{_datadir}/apps/kplayer
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/16x16/actions/window_fullscreen.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/22x22/actions/window_fullscreen.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/brightness.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/contrast.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/fileopen.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/fileopenurl.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/hue.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/lock.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/loop.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/mute.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_fwd.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_pause.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_play.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_rew.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/player_stop.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/properties.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/saturation.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/shuffle.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmag+.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmag-.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/viewmagfit.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/volume.png
%{_datadir}/apps/kplayer/icons/hicolor/32x32/actions/window_fullscreen.png

%{_datadir}/apps/kplayer/input.conf
%{_datadir}/apps/kplayer/kplayerpartui.rc
%{_datadir}/apps/kplayer/kplayerui.rc

%{_iconsdir}/hicolor/16x16/apps/kplayer.png
%{_iconsdir}/hicolor/22x22/apps/kplayer.png
%{_iconsdir}/hicolor/32x32/apps/kplayer.png
%{_iconsdir}/hicolor/48x48/apps/kplayer.png
%{_iconsdir}/hicolor/64x64/apps/kplayer.png
%{_iconsdir}/locolor/16x16/apps/kplayer.png
%{_iconsdir}/locolor/22x22/apps/kplayer.png
%{_iconsdir}/locolor/32x32/apps/kplayer.png

%{_datadir}/services/kfile_kplayer.desktop
%{_datadir}/services/kplayerpart.desktop

%dir %{_docdir}/HTML/en/kplayer
%{_docdir}/HTML/en/kplayer/basics.docbook
%{_docdir}/HTML/en/kplayer/commands.docbook
%{_docdir}/HTML/en/kplayer/common
%{_docdir}/HTML/en/kplayer/configuration.docbook
%{_docdir}/HTML/en/kplayer/dvd-bear.png
%{_docdir}/HTML/en/kplayer/howto-bug-reporting.docbook
%{_docdir}/HTML/en/kplayer/howto-compilation.docbook
%{_docdir}/HTML/en/kplayer/howto-configuration.docbook
%{_docdir}/HTML/en/kplayer/howto-devices.docbook
%{_docdir}/HTML/en/kplayer/howto-full-screen.docbook
%{_docdir}/HTML/en/kplayer/howto-installation.docbook
%{_docdir}/HTML/en/kplayer/howto-playlist.docbook
%{_docdir}/HTML/en/kplayer/howto-properties.docbook
%{_docdir}/HTML/en/kplayer/howto-settings.docbook
%{_docdir}/HTML/en/kplayer/howto-slaves.docbook
%{_docdir}/HTML/en/kplayer/howto-streams.docbook
%{_docdir}/HTML/en/kplayer/howto-subtitles.docbook
%{_docdir}/HTML/en/kplayer/howto-translation.docbook
%{_docdir}/HTML/en/kplayer/howto-troubleshooting.docbook
%{_docdir}/HTML/en/kplayer/howto.docbook
%{_docdir}/HTML/en/kplayer/index.cache.bz2
%{_docdir}/HTML/en/kplayer/index.docbook
%{_docdir}/HTML/en/kplayer/introduction.docbook
%{_docdir}/HTML/en/kplayer/properties-advanced.png
%{_docdir}/HTML/en/kplayer/properties-audio.png
%{_docdir}/HTML/en/kplayer/properties-general.png
%{_docdir}/HTML/en/kplayer/properties-subtitles.png
%{_docdir}/HTML/en/kplayer/properties-video.png
%{_docdir}/HTML/en/kplayer/properties.docbook
%{_docdir}/HTML/en/kplayer/settings-advanced.png
%{_docdir}/HTML/en/kplayer/settings-audio.png
%{_docdir}/HTML/en/kplayer/settings-brightness.png
%{_docdir}/HTML/en/kplayer/settings-contrast.png
%{_docdir}/HTML/en/kplayer/settings-controls.png
%{_docdir}/HTML/en/kplayer/settings-general.png
%{_docdir}/HTML/en/kplayer/settings-hue.png
%{_docdir}/HTML/en/kplayer/settings-messages.png
%{_docdir}/HTML/en/kplayer/settings-playlist.png
%{_docdir}/HTML/en/kplayer/settings-progress.png
%{_docdir}/HTML/en/kplayer/settings-saturation.png
%{_docdir}/HTML/en/kplayer/settings-sliders.png
%{_docdir}/HTML/en/kplayer/settings-subtitles.png
%{_docdir}/HTML/en/kplayer/settings-video.png
%{_docdir}/HTML/en/kplayer/settings-volume.png
%{_docdir}/HTML/en/kplayer/settings.docbook
%{_docdir}/HTML/en/kplayer/shortcuts-configure.png
%{_docdir}/HTML/en/kplayer/shortcuts-define.png

%dir %{_docdir}/HTML/da/kplayer
%{_docdir}/HTML/da/kplayer/basics.docbook
%{_docdir}/HTML/da/kplayer/commands.docbook
%{_docdir}/HTML/da/kplayer/common
%{_docdir}/HTML/da/kplayer/configuration.docbook
%{_docdir}/HTML/da/kplayer/howto-bug-reporting.docbook
%{_docdir}/HTML/da/kplayer/howto-compilation.docbook
%{_docdir}/HTML/da/kplayer/howto-configuration.docbook
%{_docdir}/HTML/da/kplayer/howto-devices.docbook
%{_docdir}/HTML/da/kplayer/howto-full-screen.docbook
%{_docdir}/HTML/da/kplayer/howto-installation.docbook
%{_docdir}/HTML/da/kplayer/howto-playlist.docbook
%{_docdir}/HTML/da/kplayer/howto-properties.docbook
%{_docdir}/HTML/da/kplayer/howto-settings.docbook
%{_docdir}/HTML/da/kplayer/howto-slaves.docbook
%{_docdir}/HTML/da/kplayer/howto-streams.docbook
%{_docdir}/HTML/da/kplayer/howto-subtitles.docbook
%{_docdir}/HTML/da/kplayer/howto-translation.docbook
%{_docdir}/HTML/da/kplayer/howto-troubleshooting.docbook
%{_docdir}/HTML/da/kplayer/howto.docbook
%{_docdir}/HTML/da/kplayer/index.cache.bz2
%{_docdir}/HTML/da/kplayer/index.docbook
%{_docdir}/HTML/da/kplayer/introduction.docbook
%{_docdir}/HTML/da/kplayer/properties.docbook
%{_docdir}/HTML/da/kplayer/settings.docbook

%dir %{_docdir}/HTML/pt/kplayer
%{_docdir}/HTML/pt/kplayer/basics.docbook
%{_docdir}/HTML/pt/kplayer/commands.docbook
%{_docdir}/HTML/pt/kplayer/common
%{_docdir}/HTML/pt/kplayer/configuration.docbook
%{_docdir}/HTML/pt/kplayer/howto-bug-reporting.docbook
%{_docdir}/HTML/pt/kplayer/howto-compilation.docbook
%{_docdir}/HTML/pt/kplayer/howto-configuration.docbook
%{_docdir}/HTML/pt/kplayer/howto-devices.docbook
%{_docdir}/HTML/pt/kplayer/howto-full-screen.docbook
%{_docdir}/HTML/pt/kplayer/howto-installation.docbook
%{_docdir}/HTML/pt/kplayer/howto-playlist.docbook
%{_docdir}/HTML/pt/kplayer/howto-properties.docbook
%{_docdir}/HTML/pt/kplayer/howto-settings.docbook
%{_docdir}/HTML/pt/kplayer/howto-slaves.docbook
%{_docdir}/HTML/pt/kplayer/howto-streams.docbook
%{_docdir}/HTML/pt/kplayer/howto-subtitles.docbook
%{_docdir}/HTML/pt/kplayer/howto-translation.docbook
%{_docdir}/HTML/pt/kplayer/howto-troubleshooting.docbook
%{_docdir}/HTML/pt/kplayer/howto.docbook
%{_docdir}/HTML/pt/kplayer/index.cache.bz2
%{_docdir}/HTML/pt/kplayer/index.docbook
%{_docdir}/HTML/pt/kplayer/introduction.docbook
%{_docdir}/HTML/pt/kplayer/properties.docbook
%{_docdir}/HTML/pt/kplayer/settings.docbook

%dir %{_docdir}/HTML/sv/kplayer
%{_docdir}/HTML/sv/kplayer/basics.docbook
%{_docdir}/HTML/sv/kplayer/commands.docbook
%{_docdir}/HTML/sv/kplayer/common
%{_docdir}/HTML/sv/kplayer/configuration.docbook
%{_docdir}/HTML/sv/kplayer/dvd-bear.png
%{_docdir}/HTML/sv/kplayer/howto-bug-reporting.docbook
%{_docdir}/HTML/sv/kplayer/howto-compilation.docbook
%{_docdir}/HTML/sv/kplayer/howto-configuration.docbook
%{_docdir}/HTML/sv/kplayer/howto-devices.docbook
%{_docdir}/HTML/sv/kplayer/howto-full-screen.docbook
%{_docdir}/HTML/sv/kplayer/howto-installation.docbook
%{_docdir}/HTML/sv/kplayer/howto-playlist.docbook
%{_docdir}/HTML/sv/kplayer/howto-properties.docbook
%{_docdir}/HTML/sv/kplayer/howto-settings.docbook
%{_docdir}/HTML/sv/kplayer/howto-slaves.docbook
%{_docdir}/HTML/sv/kplayer/howto-streams.docbook
%{_docdir}/HTML/sv/kplayer/howto-subtitles.docbook
%{_docdir}/HTML/sv/kplayer/howto-translation.docbook
%{_docdir}/HTML/sv/kplayer/howto-troubleshooting.docbook
%{_docdir}/HTML/sv/kplayer/howto.docbook
%{_docdir}/HTML/sv/kplayer/index.cache.bz2
%{_docdir}/HTML/sv/kplayer/index.docbook
%{_docdir}/HTML/sv/kplayer/introduction.docbook
%{_docdir}/HTML/sv/kplayer/properties-advanced.png
%{_docdir}/HTML/sv/kplayer/properties-audio.png
%{_docdir}/HTML/sv/kplayer/properties-general.png
%{_docdir}/HTML/sv/kplayer/properties-subtitles.png
%{_docdir}/HTML/sv/kplayer/properties-video.png
%{_docdir}/HTML/sv/kplayer/properties.docbook
%{_docdir}/HTML/sv/kplayer/settings-advanced.png
%{_docdir}/HTML/sv/kplayer/settings-audio.png
%{_docdir}/HTML/sv/kplayer/settings-brightness.png
%{_docdir}/HTML/sv/kplayer/settings-contrast.png
%{_docdir}/HTML/sv/kplayer/settings-controls.png
%{_docdir}/HTML/sv/kplayer/settings-general.png
%{_docdir}/HTML/sv/kplayer/settings-hue.png
%{_docdir}/HTML/sv/kplayer/settings-messages.png
%{_docdir}/HTML/sv/kplayer/settings-playlist.png
%{_docdir}/HTML/sv/kplayer/settings-progress.png
%{_docdir}/HTML/sv/kplayer/settings-saturation.png
%{_docdir}/HTML/sv/kplayer/settings-sliders.png
%{_docdir}/HTML/sv/kplayer/settings-subtitles.png
%{_docdir}/HTML/sv/kplayer/settings-video.png
%{_docdir}/HTML/sv/kplayer/settings-volume.png
%{_docdir}/HTML/sv/kplayer/settings.docbook
%{_docdir}/HTML/sv/kplayer/shortcuts-configure.png
%{_docdir}/HTML/sv/kplayer/shortcuts-define.png


%changelog
* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-03 18:46:10 (38343)
- Increase release

* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-03 18:45:15 (38342)
- Use macros for icons
- Fix macros for docdir, iconsdir, ...
- Fix menu for xdg menu

* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-03 09:52:25 (38291)
- import kplayer-0.5.3-4mdk

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-4mdk
- Fix build for non-i586

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-3mdk
- Fix conflicts

* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-2mdk
- %mkrel

* Sun Mar 27 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-1mdk
- New version

* Fri Feb 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.2-1mdk
-initial package

